Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.compiler
Class Constant

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.compiler.Expression
            |
            +--org.apache.commons.jxpath.ri.compiler.Constant

public class Constant
extends Expression

A compile tree element containing a constant number or string.

Version:
  $Revision: 1.6 $ $Date: 2003/03/11 00:59:21 $
Author:
  Dmitri Plotnikov

Inner classes inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`Expression.PointerIterator, Expression.ValueIterator`

Fields inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`NOT_A_NUMBER, ONE, ZERO`

Constructor Summary
`Constant(java.lang.Number number)`
`Constant(java.lang.String string)`

Method Summary
`java.lang.Object` | `compute(EvalContext context)`
`boolean` | `computeContextDependent()` Returns false
`java.lang.Object` | `computeValue(EvalContext context)` Returns the value of the constant.
`boolean` | `isContextDependent()` Returns false
`java.lang.String` | `toString()`

Methods inherited from class org.apache.commons.jxpath.ri.compiler.Expression
`iterate, iteratePointers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Constant

    public Constant(java.lang.Number number)

### Constant

    public Constant(java.lang.String string)

Method Detail

### compute

    public java.lang.Object compute(EvalContext context)

  Overrides:
    `compute` in class `Expression`

### computeValue

    public java.lang.Object computeValue(EvalContext context)

  Returns the value of the constant.
  Overrides:
    `computeValue` in class `Expression`

### isContextDependent

    public boolean isContextDependent()

  Returns false
  Overrides:
    `isContextDependent` in class `Expression`

### computeContextDependent

    public boolean computeContextDependent()

  Returns false
  Overrides:
    `computeContextDependent` in class `Expression`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.